Skip to main content
POST
/
gpu-instance
/
openapi
/
v1
/
networkstorage
/
update
Edit Network Storage
curl --request POST \
  --url https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "storageId": "<string>",
  "storageName": "<string>",
  "storageSize": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://novita.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

storageId
string
required
The unique identifier for the storage.
storageName
string
required
The name of the storage.
storageSize
string
required
The size of the storage in appropriate units.

Example

Request
curl --request POST \
  --url 'https://api.novita.ai/gpu-instance/openapi/v1/networkstorage/update' \
  --header 'Authorization: Bearer {{API Key}}' \
  --header 'Content-Type: application/json' \
  --data '{
    "storageId": "string",
    "storageName": "string",
    "storageSize": "string"
  }'
Response
{}